Bug 94762 - "Design" button is gone after viewing "Print Preview" (sidebar)
Summary: "Design" button is gone after viewing "Print Preview" (sidebar)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2015-10-04 19:44 UTC by Vitaliy Lotorev
Modified: 2019-12-03 14:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
design button in the sidebar (7.13 KB, image/png)
2015-10-08 10:18 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaliy Lotorev 2015-10-04 19:44:00 UTC
* Open new Writer document.
* Open sidebar, make sure there is a "Design" button at sidebar.
* Click "Print Preview" button at toolbar - watch previewing empty document, close preview.
* Look at sidebar, there is no "Design" button anymore.
Comment 1 Buovjaga 2015-10-08 07:22:14 UTC
(In reply to Vitaliy Lotorev from comment #0)
> * Open sidebar, make sure there is a "Design" button at sidebar.

How can I do this? Where should the Design button be?
Comment 2 raal 2015-10-08 10:17:11 UTC
I can confirm with LO 5.0.2.2, win 7.

@Reporter - would be nice to find out if this is a regression or not by testing older versions: http://downloadarchive.documentfoundation.org/libreoffice/old/
Thanks
Comment 3 raal 2015-10-08 10:18:55 UTC
Created attachment 119410 [details]
design button in the sidebar
Comment 4 Buovjaga 2015-10-08 10:47:49 UTC
(In reply to raal from comment #3)
> Created attachment 119410 [details]
> design button in the sidebar

Duplicate of Styles? I have no such thing in any version.
Comment 5 Maxim Monastirsky 2015-10-08 10:54:04 UTC
(In reply to Beluga from comment #4)
> I have no such thing in any version.
You should turn on experimental features.
Comment 6 Buovjaga 2015-10-08 10:56:46 UTC
(In reply to Maxim Monastirsky from comment #5)
> (In reply to Beluga from comment #4)
> > I have no such thing in any version.
> You should turn on experimental features.

Thanks, I could repro.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 7 Vitaliy Lotorev 2015-11-06 20:39:05 UTC
(In reply to raal from comment #2)
> I can confirm with LO 5.0.2.2, win 7.
> 
> @Reporter - would be nice to find out if this is a regression or not by
> testing older versions:
> http://downloadarchive.documentfoundation.org/libreoffice/old/
> Thanks

Could you please specify when "design" was introduced: 4.3, 4.4, 5.0?

I have limited bandwidth, so bibisecting will take some time.
Comment 8 QA Administrators 2016-11-08 12:07:26 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:48:42 UTC
Dear Vitaliy Lotorev,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug